# Class SkyFov

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.SkyFov

public class SkyFov extends Object
Characterises a field of view on the sky for presentation to the user. The values in degrees should be rounded in decimal to a level of precision suitable for presentation to the user, given the pixel precision of the known plotting surface. The values are therefore approximate, and may in any case be rather rough depending on the geometry involved (which may not lend itself to description as a cone).

Since:
  25 Jul 2017
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SkyFov(double lonDeg, double latDeg, double radiusDeg)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getLatDeg()`
Returns central latitude in degrees.
`double`
`getLonDeg()`
Returns central longitude in degrees.
`double`
`getRadiusDeg()`
Returns field of view radius in degrees.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyFov

public SkyFov(double lonDeg, double latDeg, double radiusDeg)
Constructor.

Parameters:
  `lonDeg` - central longitude in degrees
  `latDeg` - central latitude in degrees
  `radiusDeg` - radius in degrees

## Method Details

### getLonDeg

public double getLonDeg()
Returns central longitude in degrees.

Returns:
  longitude

### getLatDeg

public double getLatDeg()
Returns central latitude in degrees.

Returns:
  latitude

### getRadiusDeg

public double getRadiusDeg()
Returns field of view radius in degrees.

Returns:
  radius